From 0cad03da12c52495c335a1b839c79752ba602c8f Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Wed, 13 May 2020 16:15:46 +0200
Subject: [PATCH 1/2] doc: anchor programlisting on column zero

Whitespace is significant in programlisting blocks, so when used
indented they render a blank line after the content. Fix by anchoring
the blocks on column zero like how we do in most places of the docs.
---
 doc/src/sgml/libpq.sgml        | 6 +++---
 doc/src/sgml/postgres-fdw.sgml | 8 ++++----
 2 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/doc/src/sgml/libpq.sgml b/doc/src/sgml/libpq.sgml
index 5892367c61..c404429ae9 100644
--- a/doc/src/sgml/libpq.sgml
+++ b/doc/src/sgml/libpq.sgml
@@ -790,9 +790,9 @@ void PQsetSSLKeyPassHook(PQsslKeyPassHook_type hook);
 </synopsis>
 
        The application passes a pointer to a callback function with signature:
-       <programlisting>
-       int callback_fn(char *buf, int size, PGconn *conn);
-       </programlisting>
+<programlisting>
+int callback_fn(char *buf, int size, PGconn *conn);
+</programlisting>
        which <literal>libpq</literal> will then call <emphasis>instead of</emphasis>
        its default <function>PQdefaultSSLKeyPassHook</function> handler. The callback
        should determine the password for the key and copy it to result-buffer
diff --git a/doc/src/sgml/postgres-fdw.sgml b/doc/src/sgml/postgres-fdw.sgml
index 94992be427..eab2cc9378 100644
--- a/doc/src/sgml/postgres-fdw.sgml
+++ b/doc/src/sgml/postgres-fdw.sgml
@@ -151,10 +151,10 @@
    <para>
     A superuser may override this check on a per-user-mapping basis by setting
     the user mapping option <literal>password_required 'false'</literal>, e.g.
-    <programlisting>
-      ALTER USER MAPPING FOR some_non_superuser SERVER loopback_nopw
-      OPTIONS (ADD password_required 'false');
-    </programlisting>
+<programlisting>
+ALTER USER MAPPING FOR some_non_superuser SERVER loopback_nopw
+OPTIONS (ADD password_required 'false');
+</programlisting>
     To prevent unprivileged users from exploiting the authentication rights
     of the unix user the postgres server is running as to escalate to superuser
     rights, only the superuser may set this option on a user mapping.
-- 
2.21.1 (Apple Git-122.3)

